"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var methods_generator_1 = require("./methods.generator");
exports.queryBuilder = function (_a) {
    var isScalar = _a.isScalar, field = _a.field, type = _a.type, prefix = _a.prefix, suffix = _a.suffix, renderedFragmentInner = _a.renderedFragmentInner;
    var _b = methods_generator_1.createMethodsArgs(field, prefix, suffix), GQLArgs = _b.GQLArgs, GQLVariables = _b.GQLVariables;
    var hasArgs = field.args.length > 0;
    var methodName = field.name;
    if (isScalar) {
        return methodName + "() {\n      return graphQlTag`\n      " + type.little + " " + methodName + " " + (hasArgs ? "(" + GQLVariables.join(',') + ")" : '') + " {\n        " + methodName + (hasArgs ? "(" + GQLArgs.join(',') + ")" : '') + "\n      }`\n    },";
    }
    else {
        return methodName + "(fragment: string | DocumentNode) {\n      const { isString, isFragment, fragmentName } = guessFragmentType(fragment);\n      return graphQlTag`\n      " + type.little + " " + methodName + " " + (hasArgs ? "(" + GQLVariables.join(',') + ")" : '') + " {\n        " + methodName + (hasArgs ? "(" + GQLArgs.join(',') + ")" : '') + " {\n          " + renderedFragmentInner + "\n        }\n      } ${isFragment? fragment: ''}\n      `\n    },";
    }
};
